@block-spacing: 16px;

.admindataset-form {
  .note {
    color: @color-true-black;
    margin-bottom: 12px;
  }
  hr {
    margin-block : 10px;
  }
  .form-block-1 {
    margin-block: @block-spacing;
  }
  .form-block-2 {
    margin-block: @block-spacing;
  }
  .form-block-3 {
    margin-block: @block-spacing;
  }
  .form-block-4 {
    margin-block: @block-spacing;
  }
  .form-block-5 {
    margin-block: @block-spacing;
    // Absolute width values so that there is vertical alignment with fields in blocks 1 and 4
    .control-label {
      width: 157px;
    }
    .input-wrapper {
      width: 879px;
    }
    @media (max-width: 1199px) {
      .control-label {
        width: 130px;
        max-width: 20%;
      }
      .input-wrapper {
        width: 722px;
        max-width: 80%;
      }
    }
  }
  .form-block-6 {
    margin-block: @block-spacing;
  }
  .form-group {
    margin-bottom: 10px;
    .error {
      color: @brand-danger-on-lighter-gray;
    }
    .control-label {
      color: @color-true-black;
      font-weight: bold;
    }
    .help-block {
      color: @color-true-black;
    }
  }
  fieldset {
    legend {
      font-weight: bold;
      color: @color-true-black;
      line-height: 1.2;
      .legend-description {
        font-weight: normal;
      }
    }
    .checkbox-group {
      gap: 6px;
      .checkbox-horizontal {
        .control-label {
          color: @color-true-black;
          margin-bottom: 4px;
        }
      }
    }
  }
  .image-preview-wrapper {
    padding-bottom: 18px;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    .dataset-image {
      width: 100px;
    }
  }
  .form-control-btns {
    padding-inline: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
    margin-bottom: 30px;
    flex-wrap: wrap;
    padding-inline: 15%;
    .btn {
      flex: 1;
    }
  }
  .tag-editor {
    border-color: #cccccc;
    border-radius: 4px;
    .placeholder {
      color: @dark-gray-on-light-gray;
    }
  }
  .email-modal {
    .modal-body .form-group {
      .control-label {
        margin-bottom: 10px;
      }
      .help-block {
        line-height: 18px;
      }
    }
  }
  .doi-group {
    .mint-doi-button {
      width: 100%;
    }
    .alert {
      width: 100%;
      // margin-inline: 15px;
    }
  }
}
.block-spacing {
  padding-block: 4px;
}
.clear-file-url-btn {
  font-weight: bold;
  margin-top: 0 !important;
  margin-left: 4px;
}
